[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# operator shl(variant, variant): variant

Implement binary shl operation on variants.

## Declaration

Source position: varianth.inc line 363

`operator operator shl(variant, variant): variant(`
`const op1: variant;`
`const op2: variant`
`):variant;`

## Description

The implementation of the shl operation is delegated to the variant manager with operation opshiftleft.

## Errors

Execution of this operator may result in an exception if no variant manager is installed or if the types of the operand are not suitable for the operation.

## See also

operator shr(variant, variant): variant |  | Implement binary shr operation on variants.

Documentation generated on: Feb 26 2014